Bug 1443315 (CVE-2017-5445)

Summary: CVE-2017-5445 Mozilla: Uninitialized values used while parsing application/http-index-format content (MFSA 2017-11, MFSA 2017-12)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-12 06:00:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1437814    

Description Huzaifa S. Sidhpurwala 2017-04-19 05:57:28 UTC
A vulnerability while parsing <code>application/http-index-format</code> format content where uninitialized values are used to create an array. This could allow the reading of uninitialized memory into the arrays affected.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-11/#CVE-2017-5445


Acknowledgements:

Name: the Mozilla project
Upstream: Chamal De Silva

Comment 1 errata-xmlrpc 2017-04-20 08:23:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1104 https://access.redhat.com/errata/RHSA-2017:1104

Comment 2 errata-xmlrpc 2017-04-21 00:51:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1106 https://access.redhat.com/errata/RHSA-2017:1106

Comment 3 errata-xmlrpc 2017-05-08 06:48:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201